View Issue Details

IDProjectCategoryView StatusLast Update
0003480Far ManagerViewerpublic2017-12-21 14:15
ReporterLizardKingAssigned To2useven10 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionno change required 
Platformx64OSWindowsOS Version10
Product Version3.0 
Target VersionFixed in Version 
Summary0003480: При просмотре некоторых бинарников съезжает полоса скроллера
DescriptionПри просмотре некоторых бинарников съезжает полоса скроллера - то в центр Фара, то в левый край. При редактировании этих же файлов аналогично съезжает нижняя полоса F-подсказок. После нажатия Alt/Ctrl/Shift полоса принимает нормальный вид (а скроллер остаётся).
Версия 3.0.5019 x64
Файлы и скрины прилагаю.
TagsNo tags attached.
Build0

Relationships

has duplicate 0003533 closed При просмотре некоторых бинарников съезжает полоса скроллера 

Activities

LizardKing

2017-09-02 08:31

reporter  

FarBinViewAndEdit.rar (110,471 bytes)

2useven10

2017-09-02 08:50

developer   bugnote:0015538

Выберите правильный фонт в консоли - TrueType Unicode, тогда проблем не будет.
Но эффект конечно интересный, по-моему до 10-ки всё было сильно лучше.

LizardKing

2017-09-02 09:03

reporter   bugnote:0015539

Другой фонт в консоли, конечно, выход, но все TT-фонты по сравнению с точечными имхо проигрывают в чёткости. Конечно, это только на моей системе, на каком-нибудь ноуте, возможно, будет наоборот. До 10-ки - да :-) было лучше, сижу на Фаре с легендарной 1.75 :-)
Спасибо за оперативный ответ!

2useven10

2017-09-02 09:11

developer   bugnote:0015540

Дело вкуса. Imho Consolas вполне неплох.
Мне наоборот растровые шрифты кажутся ущербными.

DrKnS

2017-09-02 12:31

administrator   bugnote:0015542

Если у вас включено Interface settings/ClearType friendly redraw - попробуйте выключить.

LizardKing

2017-09-02 12:40

reporter   bugnote:0015543

Last edited: 2017-09-02 12:45

View 2 revisions

Помогло только в редакторе, во вьювере осталось по-прежнему.
P.S. Теперь всё ок с полосой F-подсказок, но скроллер во вьювере по прежнему дурит.

2useven10

2017-10-18 02:32

developer   bugnote:0015687

win10 1709 -- похоже исправлено

LizardKing

2017-10-22 11:27

reporter   bugnote:0015726

Неа. Теперь в редакторе все ок, а во всьювере все плохо, даже на Interface settings/ClearType friendly redraw не реагирует.

2useven10

2017-12-18 13:23

developer   bugnote:0015909

Last edited: 2017-12-19 03:54

View 2 revisions

Да не исправлено.
У меня редактор и вьювер ведут себя одинаково на последнем обновлении для 1709.
Независимот от ClearType friendly redraw с растровым шрифтом всё разъезжается.
И это не проблема far.
1) используйте правильный фонт.
2) [x] Use Legacy Console тоже работает нормально (после перезапуска консоли)
3) насчет растрового фонта в новом режиме консоли пишите MS.

Issue History

Date Modified Username Field Change
2017-09-02 08:31 LizardKing New Issue
2017-09-02 08:31 LizardKing File Added: FarBinViewAndEdit.rar
2017-09-02 08:50 2useven10 Note Added: 0015538
2017-09-02 09:03 LizardKing Note Added: 0015539
2017-09-02 09:11 2useven10 Note Added: 0015540
2017-09-02 12:31 DrKnS Note Added: 0015542
2017-09-02 12:40 LizardKing Note Added: 0015543
2017-09-02 12:45 LizardKing Note Edited: 0015543 View Revisions
2017-10-18 02:32 2useven10 Note Added: 0015687
2017-10-18 12:08 2useven10 Build => 0
2017-10-18 12:08 2useven10 Status new => closed
2017-10-18 12:08 2useven10 Assigned To => 2useven10
2017-10-18 12:08 2useven10 Resolution open => no change required
2017-10-22 10:23 DrKnS Relationship added has duplicate 0003533
2017-10-22 10:24 DrKnS Status closed => new
2017-10-22 11:27 LizardKing Note Added: 0015726
2017-12-18 13:23 2useven10 Note Added: 0015909
2017-12-19 03:54 2useven10 Note Edited: 0015909 View Revisions
2017-12-21 14:15 2useven10 Status new => closed